#include <iostream>
#include <vector>
using namespace std;



class Result {

private:
  
  bool found;
  int pos;


public:
  
  friend istream& operator>>(istream& is, Result& x) {
     string f;
     is >> f;
     x.found = (f=="true"?true:false);
     is >> x.pos;
     return is;
  }
  
  friend ostream& operator<<(ostream& outs, const Result& x) {
    outs << " (" << (x.found?"true":"false") << ", " 
	 << x.pos << ") " << endl;
     return outs;
  }
  
};



template<typename T> void escribe(const vector<T>& v) {
  cout << endl << "Los elementos son" << endl;
  for (int i = 0; i < v.size(); ++i) {
    cout << v[i] << endl;
  }
  cout << endl;
}


int main() {
  vector<double> a(5,2.5);
  vector<int> b = {1,2,3};
  vector<Result> c(2);
  cin >> c[0];
  cin >> c[1];

  escribe(a);
  escribe(b);
  escribe(c);
}
