#include <iostream>
using namespace std; 


struct Nodo {
  int dato; 
  Nodo* enlace;
};


void anyade_cab(Nodo*& h, int v) 
/* Pre: h apunta a la cabeza de una cadena 
de nodos enlazados */
/* Post: Se ha añadido un nuevo nodo que 
contiene el valor v en la cabeza de la cadena */
{
  Nodo* temp_ptr = new Nodo; 
  temp_ptr->dato = v; 
  temp_ptr->enlace = h; 
  h = temp_ptr; 
}


void escribe(Nodo* h) {
/* Pre: h apunta a la cabeza de una cadena 
de nodos enlazados */
/* Post: Se han escrito los elementos de la 
cadena de nodos enlazados a la que apunta h */
  while (h != nullptr) {
    cout << " " << h->dato; 
    h = h->enlace;
  }
  cout << endl;
}


int main() { // nullptr en C++11, en lugar de NULL
  Nodo* head = nullptr; // cadena vacía
  escribe(head);
  anyade_cab(head,3);
  escribe(head);
  anyade_cab(head,15);
  escribe(head);
  anyade_cab(head,12); 
  escribe(head);
}
